2024-06-16 02:32 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003346Kefrens_MultiMegamix2[WHDLoad Installs Demos] OCSpublic2016-12-27 23:59
ReporterStingRay 
Assigned ToPsygoreProject InfoMulti Megamix 2 (Kefrens)
http://www.whdload.de/demos/Kefrens_MultiMegamix2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003346: Illegal copperlist entries, missing blitter wait
DescriptionHi Psygore,

your MultiMegaMix 2 patch has a few snoop errors which are very easy to fix.

1. The first part enables copperlist DMA before any copperlist is initialised which causes the "illegal copperlist entries" error. Can be easily fixed by just clearing memory starting from $1004.w instead of $1000.w as $1000.w contains the default copperlist set by WHDLoad.

2. A blitter wait is missing at $21490 (before the write to $dff072) and should be added.

Additionally, 68000 quitkey support would be nice too.

Thanks,
Sting
Steps To ReproduceJust start the patch in snoop mode. :)
TagsNo tags attached.
MachineA4000
CPU68060
CPUSpeed50
ChipSetAGA
GFXCardPicasso IV
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.1
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0004767

Psygore (developer)

Hi StingRay, thanks for your bug report and the hints. :)
It's on my todo list now.
Nice amiga config, btw ;)

note ~0004780

Psygore (developer)

Slave 1.1 updated.

note ~0004782

StingRay (developer)

Thanks for the fast update, works fine now. :)
+Notes

-Issue History
Date Modified Username Field Change
2015-12-30 17:28 StingRay New Issue
2015-12-30 17:28 StingRay Assigned To => Psygore
2015-12-30 17:28 StingRay Status new => assigned
2015-12-30 21:31 Psygore Note Added: 0004767
2016-01-02 23:28 Psygore Note Added: 0004780
2016-01-02 23:28 Psygore Status assigned => resolved
2016-01-02 23:28 Psygore Resolution open => fixed
2016-01-03 19:34 StingRay Note Added: 0004782
2016-12-27 23:59 Psygore Status resolved => closed
+Issue History